$:.unshift File.expand_path('../lib', __FILE__)

require 'swf_converter'

class MemoryCheckEngine < SwfConverter::Engine::Alphize
  def blend(*args)
    puts "About to blend"
    super
    puts "Blended"
  end
end

class Swf
  include SwfConverter

  attr_reader :swf_image_path

  converts_swfs :with => MemoryCheckEngine

  def initialize(swf_image_path)
    @swf_image_path = swf_image_path
  end

  def local_swf_path
    File.expand_path(File.join('..', 'examples', 'balloon.swf'), __FILE__)
  end
end

3.times do |major_iteration|
  5.times do |minor_iteration|
    file = Tempfile.new('check_memory')
    swf = Swf.new(file.path)
    puts swf.local_swf_path
    swf.convert_swf!
    file.close!
    puts "Finished #{3 * major_iteration + minor_iteration}"
  end
  puts "Enter?";gets
end
puts "All done!";gets

